<!--The content below is only a placeholder and can be replaced.-->
<div class="container">
      <div class="col-12 mb-4">
        <div class="row justify-content-center">
          <div class="col-sm-11 col-12">
            <h2>Cadastro</h2>
          </div>
        </div>
        <form [formGroup]="peopleForm">
          <div class="row justify-content-center">
            <div class="col-sm-6 col-7">
              <div class="form-group">
                <label for="name">Nome</label>
                <!-- <input type="text" [class]="peopleForm.value.nome != ''? '' : '#ffeded'" formControlName="nome" class="form-control" id="name"> -->
                <input type="text" formControlName="nome" class="form-control" id="name">
              </div>
            </div>
            <div class="col-sm-5 col-5">
                <div class="form-group">
                  <label for="birthdate">Data Nasc</label>
                  <input type="date" formControlName="nascimento" class="form-control" id="birthdate">
                </div>
            </div>
          </div>
          <div class="row justify-content-center">
            <div class="col-sm-6 col-7">
              <div class="form-group">
                <label for="email">Email</label>
                <input type="email" formControlName="email" class="form-control" id="email">
              </div>
            </div>
            <div class="col-sm-5 col-5">
                <div class="form-group">
                  <label for="phone">Telefone</label>
                  <input type="tel" formControlName="telefone" class="form-control" id="phone">
                </div>
            </div>
          </div>
          <div class="row justify-content-center">
            <div class="col-sm-4 col-5">
              <div class="form-group">
                <label for="cpf">CPF</label>
                <input type="text" formControlName="cpf" class="form-control" id="cpf">
              </div>
            </div>
            <div class="col-sm-7 col-7">
                <div class="form-group">
                  <label for="address">Endereço</label>
                  <input type="text" formControlName="endereco" class="form-control" id="address">
                </div>
            </div>
          </div>
          <div class="row justify-content-center mb-2">
            <div class="col-sm-11 col-12">
              <div class="form-group">
                <label for="obs">Observações</label>
                <input type="text" formControlName="obs" class="form-control" id="obs">
              </div>
            </div>            
          </div>
          <div class="row justify-content-center">
            <button [disabled]="!peopleForm" (click)="insertData('1')" value="1" class="btn btn-primary mr-2">Salvar Banco01</button>
            <button [disabled]="!peopleForm" (click)="insertData('2')" value="1" class="btn btn-secondary">Salvar Banco02</button>
            <!-- <button type="button" (click)="enviarDados()">Enviar dados</button> -->
            <!-- <button [disabled]="!formularioPessoa.valid" class="btn btn-secondary">Salvar Banco02</button> -->
          </div>
          <br/>
          <!-- <div>{{ peopleForm.value | json}}</div> -->
          <!-- <div>{{ varTemp | json}}</div> -->
      </form>
    </div>
    <div class="row justify-content-center">
      <div class="col-12 col-lg-6">
        <!--TABELA 1-->
        <h4>Banco 01</h4>
        <table class="table">
          <thead>
            <tr>
              <th scope="col">ID</th>
              <th scope="col">Nome</th>
              <th scope="col">Email</th>
              <th scope="col">Nasc.</th>
              <th scope="col" colspan="2">Opções</th>
            </tr>
          </thead>
          <tbody>
            <tr *ngFor="let person of dbS[0]">
              <th scope="row">{{person.id}}</th>
              <td>{{person.nome}}</td>
              <td>{{person.email}}</td>
              <td>{{person.nascimento}}</td>
              <!-- <td (click)="editPeople(0,[people.id])"></td>
              <td (click)="deletePeople(0,[people.id])"></td> -->
              <td (click)="editPeople(0,[person.id])"><i class="fas fa-user-edit"></i></td>
              <td (click)="deletePeople(0,[person.id])"><i class="fas fa-user-minus"></i></td>
            </tr>
          </tbody>
        </table>
      </div>
      <div class="col-12 col-lg-6"> 
        <!--TABELA 2-->
        <h4>Banco 02</h4>
        <table class="table">
          <thead>
            <tr>
              <th scope="col">ID</th>
              <th scope="col">Nome</th>
              <th scope="col">Email</th>
              <th scope="col">Dt. Nasc.</th>
            </tr>
          </thead>
          <tbody>
              <tr *ngFor="let person of dbS[1]">
                <th scope="row">{{person.id}}</th>
                <td>{{person.name}}</td>
                <td>{{person.email}}</td>
                <td>{{person.nascimento}}</td>
              </tr>
          </tbody>
        </table>
      </div>
    </div>
</div>
